Resolve import errors
https://{kibana_url}
- POST /api/saved_objects/_resolve_import_errors
- POST /s/{space_id}/api/saved_objects/_resolve_import_errors
Refer to Spaces for more information.
To resolve errors from the Import objects API, you can:
- Retry certain saved objects
- Overwrite specific saved objects
- Change references to different saved objects
Query Parameters
-
compatibilityModeboolean Applies various adjustments to the saved objects that are being imported to maintain compatibility between different Kibana versions. When enabled during the initial import, also enable when resolving import errors. This option cannot be used with the
createNewCopiesoption.-
createNewCopiesboolean Creates copies of the saved objects, regenerates each object ID, and resets the origin. When enabled during the initial import, also enable when resolving import errors.
Request
-
filestring -
The same file given to the import API.
-
retriesobjectrequired -
The retry operations, which can specify how to resolve different types of errors.
-
destinationIdstring -
Specifies the destination ID that the imported object should have, if different from the current ID.
-
idstringrequired -
The saved object ID.
-
ignoreMissingReferencesboolean -
When set to
true, ignores missing reference errors. When set tofalse, does nothing. -
overwriteboolean -
When set to
true, the source object overwrites the conflicting destination object. When set tofalse, does nothing. -
replaceReferencesobject -
A list of
type,from, andtoused to change the object references. -
typestringrequired -
The saved object type.
Responses
Indicates a successful call.
-
errorsobject -
Specifies the objects that failed to resolve.
NOTE: One object can result in multiple errors, which requires separate steps to resolve. For instance, a
missing_referenceserror and aconflicterror. -
successboolean -
Indicates a successful import. When set to
false, some objects may not have been created. For additional information, refer to theerrorsandsuccessResultsproperties. -
successCountnumber -
Indicates the number of successfully resolved records.
-
successResultsobject -
Indicates the objects that are successfully imported, with any metadata if applicable.
NOTE: Objects are only created when all resolvable errors are addressed, including conflict and missing references.
Bad request.
-
errorrequired -
Values:
Bad Request -
messagestringrequired -
statusCoderequired -
Values:
400